﻿@using DomainModels.Entities.HumanResource

@{
    ViewBag.Title = "تایید کارت شناسایی";
}

@section Styles{
    <link href="~/Content/lib/css/fileinput.min.css" rel="stylesheet" />
}



<div class="alert alert-info">
    وضعیت فعلی تایید کارت شناسایی شما "<b>@Html.ShowEnumDescription((AcceptStatus)ViewBag.AcceptStatus)</b>" می باشد
</div>

<div class="alert alert-warning">
    <ul>
        <li>
            پسوندهای مجاز : @Infrastructure.File.FileValidator.ValidPictureExtensions
        </li>
    </ul>
</div>

<div class="row">
    <div class="col-md-6 col-md-offset-6">
        @Html.ShowImage((string)ViewBag.PhotoName, Infrastructure.File.EntityName.Certificate, new { @class = "form-image" })
       
    </div>
</div>
<br />



<div class="row">
    <div class="form-group">
        <div class="col-lg-12">
            <p>
                کاربر گرامی، جهت تایید هویت خود، لازم است تصویر شناسنامه یا کارت شناسایی خود را از طریق بخش زیر ثبت نمایید.
                <br />
            </p>
        </div>
    </div>
</div>


@using (Html.BeginForm("IdentificationCard", "Identify", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)


    <div class="row">
        <div class="form-group">
            <div class="col-lg-12 label-control">
                تصویر شناسنامه یا کارت شناسایی
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-6 col-md-offset-6">
                <input id="fileupload1" class="fileupload" name="fileupload1[]" type="file">
            </div>
        </div>
    </div>
    <div class="row">
        <div class="form-group">
            <div class="col-lg-12">
                <input type="submit" value="ثبت" class="btn btn-info" />
            </div>
        </div>
    </div>
}


@section Scripts{

    <!-- file-input -->
    <script src="~/Content/lib/js/fileinput.min.js"></script>

    <script type="text/javascript">
        $(function () {

            // ===================================== page.onload() ===============================
            initializeFileInput();


            // ===================================== initialize =====================================

            // fileinput
            function initializeFileInput() {

                $(".fileupload").fileinput({
                    showUpload: false,
                    showCaption: true,
                    showPreview: false
                });

                $(".fileupload").on('filebrowse', function (event, data, previewId, index, jqXHR) {
                    $(this).fileinput('clear');
                });

            }

        });
    </script>

}